%global momorel 1
%global date 20080904
%global svndate 04.09.08
%global qtver 4.4.0
%global kdever 4.1.0
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: A small utility which bothers you at certain intervals
Name: rsibreak
Version: 0.9.0
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://www.rsibreak.org/
Group: Amusements/Graphics
Source0: %{name}-%{svndate}.tar.bz2
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: soprano
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: dbus-devel
BuildPreReq: libXScrnSaver-devel
BuildPreReq: gettext
BuildPreReq: soprano-devel

%description
RSIBreak is a small utility which bothers you at certain intervals. The
interval and duration of two different timers can be configured. You can
use the breaks to stretch out or do the dishes. The aim of this utility
is to let you know when it is time to have a break from your computer.
This can help people to prevent Repetive Strain Injury.

%prep
%setup -q -n %{name}-%{svndate}

pushd src
%patch0 -p1 -b .desktop~
popd

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%doc src/COPYING.DOC src/HACKING src/NEWS
%{_kde4_bindir}/rsibreak
%{_kde4_libdir}/kde4/plasma_*_rsibreak.so
%{_kde4_datadir}/applications/kde4/rsibreak.desktop
%{_kde4_appsdir}/desktoptheme/default/widgets/rsibreak.svg
%{_kde4_appsdir}/rsibreak
%{_datadir}/dbus-1/interfaces/org.rsibreak.rsiwidget.xml
%{_kde4_docdir}/HTML/*/rsibreak
%{_kde4_iconsdir}/*/*/*/rsibreak.png
%{_kde4_iconsdir}/hicolor/*/actions/*.png
%{_kde4_datadir}/kde4/services/plasma-*-rsibreak.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Thu Sep  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.20080904.1m)
- update to 20080904 svn snapshot

* Sun Jun  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-0.2.6m)
- source tarball was renamed for KDE 4.1 beta 1

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-0.2.5m)
- rebuild against qt-4.4.0-1m
- source tarball was renamed

* Tue Apr  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-0.2.4m)
- update source tar ball

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-0.2.3m)
- rebuild against gcc43

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.2.2m)
- update Source0 (use stable/4.0.2/src/extragear)
- set ftpdirver 4.0.2

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.2.1m)
- update to 0.9.0-beta3

* Wed Jan 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.1.1m)
- revise version to 0.9.0 beta 2
- License: GPLv2

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1m)
- version 4.0.0
- update desktop.patch

* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- initial package for Momonga Linux
